al_get_audio_stream_event_source(3)

NAME

al_get_audio_stream_event_source - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    ALLEGRO_EVENT_SOURCE *al_get_audio_stream_event_source(
       ALLEGRO_AUDIO_STREAM *stream)

DESCRIPTION

Retrieve the associated event source.

See al_get_audio_stream_fragment(3) for a description of the ALLEGRO_EVENT_AUDIO_STREAM_FRAGMENT(3) event that audio streams emit.